<?php

/* Simple pretty print of PHP objects within html stream */
function pprint_r($arg){
  echo "<pre>";
  print_r($arg);
  echo "</pre>";
}

define ("DEFAULTADDR", 'FFFFFFFFFFFFFFFF');
define ("GWADDR", 'FFFFFFFFFFFFFFFE');

/* Address Conversions */
function EUIDtoIPv4($inets, $euid){
  foreach($inets as $inet) {
    if ($inet->addr == $euid) return $inet->ipv4Addr;
  }
  return NULL;
}

function IPv4toEUID($inets, $ip){
  foreach($inets as $inet) {
    if ($inet->ipv4Addr == $ip) return $inet->addr;
  }
  return NULL;
}

function findNode($nodes, $euid) {
  foreach($nodes as $node) {
    if ($node->addr === $euid) return $node;
  }
  return NULL;
}

function EUIDtoAddr($addrMaps, $euid){
  foreach($addrMaps as $map) {
    if ($map->longAddr == $euid) return $map->shortAddr;
  }
  return NULL;
}


/* Extract ReadEvents from list of all events. */

function GetReadEvents($elist) {
  $readEvents=array();
  foreach ($elist as $event) {
    $name = $event->name;
    if (strpos($name,"ReadEvent")=== (strlen($name)-9)){
      $readEvents []= $name;
    }
  }
  return $readEvents;
}

?>
