<?php

define("TIMEOUT", 2.0);

function get($gateway, $attrName, $mote)
{
    $url = "http://" . $gateway . "/gw/rest/V1/?method=gw.getWSDL";
    $proxy = new SoapClient($url);
    $ret = $proxy->eventsReadLast($attrName, $mote);
    $ret_arr = $ret->results;
    foreach ($ret_arr as $result) {
        echo "Mote " . $result->addr . 
             " Time " . $result->timestamp . 
             " Voltage " . $result->value->NodeStatsEvent->voltage ."\n";
    }
}

if ($argc != 1 && $argc != 2) {
    echo "Usage: php get_last_battery_voltage.php gateway [mote]\n";
    exit(3);
}
$gateway = $argv[1];
$attrName = "NodeStatsEvent";
if ($argc == 2)
    $mote = "ffffffffffffffff";
else
    $mote = $argv[2];
get($gateway, $attrName, $mote);

?>
