<?php

define("TIMEOUT", 2.0);

function get($t1Offset, $t2Offset, $gateway, $attrName, $mote)
{
    $url = "http://" . $gateway . "/gw/rest/V1/?method=gw.getWSDL";
    $proxy = new SoapClient($url);
    $ret = $proxy->eventsReadRelative($t1Offset, $t2Offset,
                                      $attrName, $mote, 0, "");
    $ret_arr = $ret->results;
    foreach ($ret_arr as $result) {
        echo "Mote " . $result->addr . 
           " timestamp " . $result->timestamp . 
           " sent " . $result->value->NodeStatsEvent->net_sent . " " . 
           " delivered " . $result->value->NodeStatsEvent->net_delivered ."\n";
    }
}

if ($argc != 1 && $argc != 2) {
    echo "Usage: php get_last_one_day_reliability.php gateway [mote]\n";
    exit(3);
}
$gateway = $argv[1];
$attrName = "NodeStatsEvent";
if ($argc == 2)
    $mote = "ffffffffffffffff";
else
    $mote = $argv[2];

$t1Offset = -86400;
$t2Offset = 0;

get($t1Offset, $t2Offset, $gateway, $attrName, $mote);

?>
