<?php

define("TIMEOUT", 2.0);

function get($gateway, $attrName, $mote)
{
    $url = "http://" . $gateway . "/gw/rest/V1/?method=gw.getWSDL";
    $proxy = new SoapClient($url);
    $ret = $proxy->metadataGet($mote, $attrName);
    foreach ($ret as $result) {
        echo "Mote " . $result->addr . 
             " Name " . $result->value ."\n";
    }
}

if ($argc != 1 && $argc != 2) {
    echo "Usage: php get_name.php gateway [mote]\n";
    exit(3);
}
$gateway = $argv[1];
$attrName = "name";
if ($argc == 2)
    $mote = "ffffffffffffffff";
else
    $mote = $argv[2];
get($gateway, $attrName, $mote);

?>
