<?php

define("TIMEOUT", 2.0);

function ping($gateway, $mote)
{
    $url = "http://" . $gateway . "/gw/rest/V1/?method=gw.getWSDL";
    $proxy = new SoapClient($url);
    //$ret = $proxy->mgmtPingNode($mote, 1, "net", "net", TIMEOUT, "*");
    $ret = $proxy->mgmtPingNode("ffffffffffffffff", 2, "*");
    foreach ($ret as $result)
        echo "Response from mote " . $result->longAddr . 
        " (shortAddr " . $result->shortAddr . ")\n";
}

if ($argc != 2 && $argc != 3) {
    echo "Usage: php ping.php gateway [mote]\n";
    exit(3);
}
$gateway = $argv[1];
if ($argc == 2)
    $mote = "ffffffffffffffff";
else
    $mote = $argv[2];
ping($gateway, $mote);

?>
