<?php

define("TIMEOUT", 2.0);

function rpc_execute($gateway, $attrName, $mote)
{
    $url = "http://" . $gateway . "/gw/rest/V1/?method=gw.getWSDL";
    $proxy = new SoapClient($url);
    //$ret = $proxy->metadataGet($mote, $attrName);
    $ret = $proxy->rpcExecutesampleRequest($mote, 2, "*");
    foreach ($ret as $result) {
        echo "Mote " . $result->addr . 
             " Time " . $result->timestamp ."\n";
    }
}

if ($argc != 1 && $argc != 2) {
    echo "Usage: php rpc_sample_request.php gateway [mote]\n";
    exit(3);
}
$gateway = $argv[1];
$attrName = "name";
if ($argc == 2)
    $mote = "ffffffffffffffff";
else
    $mote = $argv[2];
rpc_execute($gateway, $attrName, $mote);

?>
