<?php require 'ARlib.inc'; 
  function compareTuple($a, $b) {
    return strcmp($a->name, $b->name);
  }
?>

<html>
  <head>
    <title>Arch Rock Sensor Web Tutorial - Server</title>
  </head>

  <body>
  <H1>Arch Rock Sensor Web Tutorial - Sensor Network Server</H1>
<?php
$server=$_GET['server'];	// obtain argument from http GET
echo "Sensor Net Server: <b>$server</b><p>";

// Get WSDL from server and build client object
$snetWSDL="http://restsoap:XpressK@$server/gw/rest/V1?method=gw.getWSDL";
$client = new SoapClient($snetWSDL, array('login' => "restsoap",'password'=> "XpressK"));

// Show basic WSDL concept
echo "WSDL: <a href=\"$snetWSDL\">$snetWSDL</a>";
echo " [ <a href=\"WSDLfunctions.php?wsdl=$snetWSDL\">funs</a> ]";
echo " [ <a href=\"WSDLtypes.php?wsdl=$snetWSDL\">types</a> ]";
echo "<p>";

// Nodes are represented by the "name" attribute in the server metadata
$nodes = $client->metadataGet(DEFAULTADDR,"name");
$numnodes = count($nodes);
echo "<p> $numnodes <a href=\"nodes.php?server=$server\">nodes</a> in network.<p>";

// Get show all the server metadata
?>
   <table border=1>
   <tr><th>Name</th><th>Value</th><th>Time</th></tr>

<?php

   $metadata = $client->metadataGet(GWADDR,'*');
//pprint_r($metadata);
usort($metadata, "compareTuple");
foreach($metadata as $tuple) {
     printf("<tr><td> %s</td><td> %s</td><td> %s</td></tr>",
	    $tuple->name, $tuple->value, date(DATE_RFC822,$tuple->timestamp));
   }
?>
   </table>;
   <p>;
  </body>
</html>


