<?php

define("TIMEOUT", 2.0);

function set($gateway, $attrName, $attrValue, $mote)
{
    $url = "http://" . $gateway . "/gw/rest/V1/?method=gw.getWSDL";
    $proxy = new SoapClient($url);
    $value = new stdClass();
    $value->name = $attrName;
    $value->{$attrName} = $attrValue;
    $ret = $proxy->attributesSet($attrName, $mote, TIMEOUT, "*", $value);
    foreach ($ret as $result) {
        $value = $result->value;
        echo "Mote " . $result->addr . ": " . $attrName . 
            " value is " . $value->{$value->name} ."\n";
    }
}

if ($argc != 3 && $argc != 4) {
    echo "Usage: php set.php gateway attrName [mote]\n";
    exit(3);
}
$gateway = $argv[1];
$attrName = $argv[2];
$attrValue = $argv[3];
if ($argc == 4)
    $mote = "ffffffffffffffff";
else
    $mote = $argv[3];
set($gateway, $attrName, $attrValue, $mote);

?>
