<?php

define("TIMEOUT", 2.0);

function get($gateway, $attrName, $mote)
{
    $url = "http://" . $gateway . "/gw/rest/V1/?method=gw.getWSDL";
    $proxy = new SoapClient($url);
    $ret = $proxy->attributesGet($attrName, $mote, TIMEOUT, "*");
    foreach ($ret as $result) {
        $value = $result->value;
        echo "Mote " . $result->addr . ": " . $attrName . 
            " value is " . $value->{$value->name} ."\n";
    }
}

if ($argc != 2 && $argc != 3) {
    echo "Usage: php get.php gateway attrName [mote]\n";
    exit(3);
}
$gateway = $argv[1];
$attrName = $argv[2];
if ($argc == 3)
    $mote = "ffffffffffffffff";
else
    $mote = $argv[3];
get($gateway, $attrName, $mote);

?>
